@import "homepage.css";
@import "buttons.css";
@import "category.css";
@import "product-card.css";
@import "product.css";

:root {
	--ggs-black: #000000;
	--ggs-white: #ffffff;
}





/* SOLUTION USING :has (modern CSS selector) */
#index #header {transition:background .5s;}
:has(#iqitmegamenu-horizontal nav > ul > li.cbp-has-submeu:hover) #index #header {background-color: #fff!important;}


#header .header-nav {text-transform:uppercase; letter-spacing:.025rem;}


#iqitmegamenu-wrapper.stuck-menu {border-bottom:1px solid rgba(0,0,0,0.125);}

/* Header: language_selector */
#language_selector .language-selector > a > img {vertical-align: baseline; display:none;}

/* Header desktop/logo: larghezza */
#desktop-header #desktop_logo img {max-width:200px;}
/* Header desktop/cerca:font e bordi */
#desktop-header #search_widget input.form-search-control {font-size:.85rem;}
#desktop-header #search_widget input.form-search-control {border-top:none; border-right:none; border-left:none;}
/* Header desktop/megamenu: megamenu su colonne */
#desktop-header #iqitmegamenu-horizontal nav > ul > li .iqitmegamenu-submenu-container .cbp-category-link-w {width:100%;}
#desktop-header #iqitmegamenu-horizontal nav > ul > li .iqitmegamenu-submenu-container .col-9 .cbp-category-link-w > ul.cbp-category-tree {column-count:3; column-gap:20px;}


.cbp-hrmenu .cbp-hrsub-inner, .cbp-hrmenu ul.cbp-hrsub-level2 {border-right:0; border-bottom:0; border-left:0;}

/* Header/megamenu: spaziature elenco */
#desktop-header #iqitmegamenu-horizontal nav > ul > li .iqitmegamenu-submenu-container .cbp-category-link-w > ul.cbp-category-tree > li {margin:5px 0;}

/* Header/megamenu: modifica per menu di secondo livello */
.cbp-category-link-w {position: relative; display:inline-block;}
.cbp-hrmenu ul.cbp-hrsub-level2 {left:105%!important; background:#FFF!important;}

/*
.cbp-hrmenu .cbp-hrsub-inner a:hover {
    font-weight: bold;
}
*/


/* Header/megamenu: colonna con immagine*/
#desktop-header #iqitmegamenu-horizontal nav > ul > li .iqitmegamenu-submenu-container .col-4 > .cbp-menu-column-inner {height:100%;}
#desktop-header #iqitmegamenu-horizontal nav > ul > li .iqitmegamenu-submenu-container .col-4 > .cbp-menu-column-inner > img.cbp-banner-image {height:100%; object-fit:cover;}


/* Contenuto: sezione con spaziature */
.elementor .elementor-section.elementor-section-default {padding-top:100px; padding-bottom:100px;}
.elementor .elementor-section.elementor-section-default.pt-none {padding-top:0!important;}
.elementor .elementor-section.elementor-section-default.pb-none {padding-bottom:0!important;}
/*.elementor .elementor-section.elementor-section-default + .elementor-section.elementor-section-default {margin-top:-200px;}*/


/* Generale */
/*#wrapper {padding-top:0!important; padding-bottom:0!important;}*/
#wrapper {padding-bottom:0!important;}
#wrapper > .breadcrumb-container {margin-top:1rem!important; margin-bottom:1rem!important;}
#wrapper > .breadcrumb-container > .breadcrumb {margin-top:0!important; padding-top:0!important; padding-bottom:0!important; margin-bottom:0!important;}

#wrapper #inner-wrapper {padding-bottom:5rem;}
#wrapper #inner-wrapper #content-wrapper .page-title {border-bottom:solid 1px rgba(0, 0, 0, 0.125); margin-bottom:1em!important;}

/* Homepage */
body#index #inner-wrapper {max-width:100vw!important; padding:0!important;}
body#index #inner-wrapper .elementor-section.elementor-section-stretched {width:auto; margin-left:auto; left:auto;}

/* Footer */
#footer .block-iqitcontactpage .block-content > div.border-top {border-color:rgba(255, 255, 255, 0.35)!important;}
#footer #footer-copyrights .copyright-txt > p {color:#FFF; font-size:14px;}

/* CSS Rows/Cols override 
.elementor-section > .elementor-container.elementor-column-gap-narrow > .elementor-row {gap:10px;}
.elementor-section > .elementor-container.elementor-column-gap-narrow > .elementor-row > .elementor-column > .elementor-column-wrap.elementor-element-populated {padding:0!important;}
*/



/*
.elementor-widget-prestashop-widget-ProductsList .swiper-container-wrapper .products.swiper-container {padding-top:0!important; padding-bottom:0!important;}
.elementor-widget-prestashop-widget-ProductsList .swiper-container-wrapper .product-carousel {padding-top:0!important; padding-bottom:0!important;}
*/

/* Swiper */
.swiper-container-wrapper {margin:0!important;}
.swiper-container-wrapper .products.swiper-container {padding:0!important;}

/* Custom: product item */
.product-miniature .btn-product-list {font-size:12px; text-transform:uppercase; letter-spacing:.5px;}


/* Fix editor */
.elementor-editor-active #elementor .elementor-row {min-height:auto!important;}

/* override */


/* Elementor */
.elementor-widget-wrap > div {margin-bottom:10px;}
.elementor-widget-wrap > div:last-child {margin-bottom:0!important;}
.elementor-widget + .elementor-widget-button {margin-top:30px!important;}

/* Custom: titoli e testi */
.elementor-widget-heading h2.elementor-heading-title {font-size:2rem; font-weight:400; letter-spacing:.025rem; line-height:2.5rem;}
.elementor-widget-text-editor.lead p {font-size:24px; line-height:1.3em; font-weight:400;}


/* Elementor fix gap colonne */
@media (max-width:767px) {
    .elementor-column-gap-default .elementor-element-populated {padding:15px 0;}
}

/* Elementor widgets */
.elementor-widget-icon-box .elementor-icon-box-description > p:last-child {margin-bottom:0!important;}
.elementor-widget-accordion .elementor-accordion-content p:last-child {margin-bottom:0!important;}

/* Elementor: blocco rassicurativo */
.elementor-displayReassurance .elementor-widget-icon-list ul.elementor-icon-list-items li {display:flex; flex-direction:row; align-items:center; line-height:1;}
.elementor-displayReassurance .elementor-widget-icon-list ul.elementor-icon-list-items li + li {margin-top:10px;}


.product-miniature-grid .input-group-add-cart .input-group {width:auto; margin-right:0!important; min-width:65px;}


.row {margin-right:-15px!important; margin-left:-15px!important;}
.row > * {padding-right:15px!important; padding-left:15px!important;}


.bg-light{background-color:#F2F2F2!important;}

#wrapper .block-title {margin-bottom:1em!important;}